Bug 8472 - Incorrect computation of GMT time
Incorrect computation of GMT time
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-14 10:49 EST by S. William Schulz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-17 11:07:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description S. William Schulz 2000-01-14 10:49:09 EST
As installed, RH 6.1, php3, and apache-1.3.9 (and/or SWS 3.1) yield
incorrect values when calling gmmktime, e.g. calling gmmktime and mktime
yield the same (local) time values:

<P><? echo gmmktime(0,0,0,1,1,2000) ?></P>
<P><? echo   mktime(0,0,0,1,1,2000) ?></P>

yields

946702800
946702800

when the two should differ by 5 hours (86400 secs) (in my case).  Not sure
if this is a configuration problem elsewhere.  I could find no TZ config
info in php.ini.

Perl gmtime() yields the expected values.
Comment 1 Preston Brown 2000-02-17 11:07:59 EST
for php 3.0.14 that will ship with 6.2, these are the results:

946684800

946702800

on my system, which is correct.  This poblem appears to be corrected.

Note You need to log in before you can comment on or make changes to this bug.